Subject: Ethnobotanical rare seeds plants and herbs

From: [email-masked] (TantraYoga)
Date: 1 Jul 1994 17:51:02 -0400

Just some seeds from this really great catalog, it has many rare
fruit seeds, and not to mention many plants used by shamans and
really interesting catalog it has much information about the history
of many plants...not really all that huge, but it is well worth it.  
     I found them to delivery seeds in about a month , i guess that
is not to bad.     their address is
L.E.R (legendary Ethnobotanical resources)., P.O. Box 1676, miami fl
33233, they ask $2 per catalog......
they also do COD shipping by phone.